package tfc.logs

import tfc.secure.Person

class Theme {

    String themeName
    String themeDescription
    Date themeCreationDate

    String toString(){
      return themeName + " - " + themeDescription
    }

    static belongsTo = [person:Person]

    static constraints = {
      themeName(size:1..150, blank:false, nullable:false, unique:true)
      themeDescription(maxSize: 250)

    }
}
