package tfc.logs

import groovy.xml.MarkupBuilder

class LogToXMLService {

    static transactional = true

  /** generateXML Generate the XML structure file
  * @param fileId Id of the fieldValue element
  */
    def  generateXML(fileId) {

      def criteria = FieldValue.createCriteria()

        def logs = criteria.list{
            eq "logsUploadFiles.id", Long.parseLong(fileId)
            join 'templateFields'
            order ("id", "asc")
        }

        def miXML = new StringBuffer()
        def cont=0
        miXML.append('<?xml version="1.0" encoding="UTF-8"?>\n')
        miXML.append('<tfcRaws>\n')

                logs.each {
                    if (cont==0){
                        miXML.append('        <tfcRaw>\n')
                    }
                    miXML.append('            <field fieldOrder="' + it.templateFields.fieldOrder + '" fieldName="' + it.templateFields.fieldName + '" fieldContent="' + it.fieldValueValue + '" tfcType="' + it.templateFields.fieldContentType + '"/>\n')

                   cont++
                    if (cont==3){
                      miXML.append('        </tfcRaw>\n')
                      cont=0
                    }


                }

        miXML.append('</tfcRaws>')

        return miXML

    }
}
