
<%@ page import="tfc.logs.FieldValue" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'fieldValue.label', default: 'FieldValue')}" />
        <title><g:message code="fieldValue.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="fieldValue.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="fieldValue.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                            <g:sortableColumn property="id" title="${message(code: 'fieldValue.id.label', default: 'Id')}" />
                        
                            <th><g:message code="fieldValue.logsUploadFiles.label" default="Logs Upload Files" /></th>
                        
                            <th><g:message code="fieldValue.templateFields.label" default="Template Fields" /></th>

                            <g:sortableColumn property="fieldValueValue" title="${message(code: 'fieldValue.fieldValueValue.label', default: 'Field Value Value')}" />
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${fieldValueInstanceList}" status="i" var="fieldValueInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${fieldValueInstance.id}">${fieldValue(bean: fieldValueInstance, field: "id")}</g:link></td>

                            <td><g:link action="show" id="${fieldValueInstance.id}">${fieldValue(bean: fieldValueInstance, field: "logsUploadFiles")}</g:link></td>
                        
                            <td><g:link action="show" id="${fieldValueInstance.id}">${fieldValue(bean: fieldValueInstance, field: "templateFields")}</g:link></td>

                            <td><g:link action="show" id="${fieldValueInstance.id}">${fieldValue(bean: fieldValueInstance, field: "fieldValueValue")}</g:link></td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${fieldValueInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
