

<%@ page import="tfc.logs.LogsUpload" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'logsUpload.label', default: 'LogsUpload')}" />
        <title><g:message code="logsUpload.create.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="logsUpload.list.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="logsUpload.create.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${logsUploadInstance}">
            <div class="errors">
                <g:renderErrors bean="${logsUploadInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form action="save" >
              <g:hiddenField name="person.id" value="${logsUploadInstance?.person?.id}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="logUploadDescription"><g:message code="logsUpload.logUploadDescription.label" default="Log Upload Description" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadInstance, field: 'logUploadDescription', 'errors')}">
                                    <g:textField name="logUploadDescription" size="75" maxlength="150" value="${logsUploadInstance?.logUploadDescription}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="logUploadDate"><g:message code="logsUpload.logUploadDate.label" default="Log Upload Date" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadInstance, field: 'logUploadDate', 'errors')}">
                                    <g:datePicker name="logUploadDate" precision="day" value="${logsUploadInstance?.logUploadDate}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name"><g:message code="logsUpload.person.label" default="Person" /></td>

                                <td valign="top" class="value"><g:link class="templates_list" controller="person" action="show" id="${logsUploadInstance?.person?.id}">${logsUploadInstance?.person?.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'user.button.detalle.label', default: 'View user details')}"/></g:link></td>

                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="template"><g:message code="logsUpload.template.label" default="Template" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadInstance, field: 'template', 'errors')}">
                                    <g:select name="template.id" from="${tfc.logs.Template.list()}" optionKey="id" value="${logsUploadInstance?.template?.id}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="theme"><g:message code="logsUpload.theme.label" default="Theme" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadInstance, field: 'theme', 'errors')}">
                                    <g:select name="theme.id" from="${tfc.logs.Theme.list()}" optionKey="id" value="${logsUploadInstance?.theme?.id}"  />
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
