
<%@ page import="tfc.logs.LogsUpload" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'logsUpload.label', default: 'LogsUpload')}" />
        <title><g:message code="logsUpload.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="logsUpload.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="logsUpload.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                            <g:sortableColumn property="id" title="${message(code: 'logsUpload.id.label', default: 'Id')}" />
                        
                            <g:sortableColumn property="logUploadDescription" title="${message(code: 'logsUpload.logUploadDescription.label', default: 'Log Upload Description')}" />
                        
                            <g:sortableColumn property="logUploadDate" title="${message(code: 'logsUpload.logUploadDate.label', default: 'Log Upload Date')}" />
                        
                            <th><g:message code="logsUpload.person.label" default="Person" /></th>
                        
                            <th><g:message code="logsUpload.template.label" default="Template" /></th>
                        
                            <th><g:message code="logsUpload.theme.label" default="Theme" /></th>
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${logsUploadInstanceList}" status="i" var="logsUploadInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${logsUploadInstance.id}">${fieldValue(bean: logsUploadInstance, field: "id")}</g:link></td>
                        
                            <td><g:link action="show" id="${logsUploadInstance.id}">${fieldValue(bean: logsUploadInstance, field: "logUploadDescription")}</g:link></td>
                        
                            <td><g:link action="show" id="${logsUploadInstance.id}"><g:formatDate date="${logsUploadInstance.logUploadDate}" formatName="default.date.format" /></g:link></td>
                        
                            <td><g:link action="show" id="${logsUploadInstance.id}">${fieldValue(bean: logsUploadInstance, field: "person.name")}</g:link></td>
                        
                            <td><g:link action="show" id="${logsUploadInstance.id}">${fieldValue(bean: logsUploadInstance, field: "template.templateName")}</g:link></td>
                        
                            <td><g:link action="show" id="${logsUploadInstance.id}">${fieldValue(bean: logsUploadInstance, field: "theme.themeName")}</g:link></td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${logsUploadInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
