
<%@ page import="tfc.logs.LogsUploadFiles" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'logsUploadFiles.label', default: 'LogsUploadFiles')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                            <g:sortableColumn property="id" title="${message(code: 'logsUploadFiles.id.label', default: 'Id')}" />
                        
                            <g:sortableColumn property="logsUploadFilesName" title="${message(code: 'logsUploadFiles.logsUploadFilesName.label', default: 'Logs Upload Files Name')}" />
                        
                            <th><g:message code="logsUploadFiles.logsUpload.label" default="Logs Upload" /></th>
                        
                            <g:sortableColumn property="logsUploadFilesCreationDate" title="${message(code: 'logsUploadFiles.logsUploadFilesCreationDate.label', default: 'Logs Upload Files Creation Date')}" />
                        
                            <th><g:message code="logsUploadFiles.person.label" default="Person" /></th>
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${logsUploadFilesInstanceList}" status="i" var="logsUploadFilesInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${logsUploadFilesInstance.id}">${fieldValue(bean: logsUploadFilesInstance, field: "id")}</g:link></td>
                        
                            <td>${fieldValue(bean: logsUploadFilesInstance, field: "logsUploadFilesName")}</td>
                        
                            <td>${fieldValue(bean: logsUploadFilesInstance, field: "logsUpload")}</td>
                        
                            <td><g:formatDate date="${logsUploadFilesInstance.logsUploadFilesCreationDate}" /></td>
                        
                            <td>${fieldValue(bean: logsUploadFilesInstance, field: "person")}</td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${logsUploadFilesInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
