
<%@ page import="tfc.logs.LogsUploadFiles" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'logsUploadFiles.label', default: 'LogsUploadFiles')}" />
        <title><g:message code="logsUploadFiles.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>


        </div>
        <div class="body">
            <h1><g:message code="logsUploadFiles.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="logsUploadFiles.id.label" default="Id" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: logsUploadFilesInstance, field: "id")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="logsUploadFiles.logsUploadFilesName.label" default="Logs Upload Files Name" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: logsUploadFilesInstance, field: "logsUploadFilesName")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="logsUploadFiles.logsUpload.label" default="Logs Upload" /></td>
                            
                            <td valign="top" class="value"><g:link class="templates_list" controller="logsUpload" action="show" id="${logsUploadFilesInstance?.logsUpload?.id}">${logsUploadFilesInstance?.logsUpload?.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'template.button.detalle.label', default: 'View template details')}"/></g:link></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="logsUploadFiles.logsUploadFilesCreationDate.label" default="Logs Upload Files Creation Date" /></td>
                            
                            <td valign="top" class="value"><g:formatDate date="${logsUploadFilesInstance?.logsUploadFilesCreationDate}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="logsUploadFiles.person.label" default="Person" /></td>
                            
                            <td valign="top" class="value"><g:link class="templates_list" controller="person" action="show" id="${logsUploadFilesInstance?.person?.id}">${logsUploadFilesInstance?.person?.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'person.button.detalle.label', default: 'View user details')}"/></g:link></td>
                            
                        </tr>
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="fieldValue.values.label" default="File content" /></td>

                            <td valign="top" style="text-align: left;" class="value">
                              <table width="80%">
                                  <tbody>
                                <ul>
                                  <g:render template="/fieldValue/listado" collection="${tfc.logs.FieldValue.findAllByLogsUploadFiles(logsUploadFilesInstance, [sort:'id',order:'asc'])}" var="fieldValueInstance" />
                                </ul>
                                  </tbody>
                                </table>

                            </td>

                        </tr>
                    
                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
                    <g:hiddenField name="id" value="${logsUploadFilesInstance?.id}" />
                    <g:hiddenField name="fileName" value="${logsUploadFilesInstance?.logsUploadFilesName}" />
                    <span class="button"><g:actionSubmit class="edit" action="edit" value="${message(code: 'default.button.edit.label', default: 'Edit')}" /></span>
                    <span class="button"><g:actionSubmit class="log2xml" action="log2XML" value="Log2XML" /></span>
                    <span class="button"><g:actionSubmit class="download" action="download" value="${message(code: 'logsUploadFiles.button.viewContent.label', default: 'Edit')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
