

<%@ page import="tfc.logs.LogsUpload" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'logsUpload.label', default: 'LogsUpload')}" />
        <title><g:message code="report.filter2.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>

        </div>
        <div class="body">
            <h1><g:message code="report.filter2.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:if test="${flash.errors}">
            <div class="errors">${flash.errors}</div>
            </g:if>
            <g:hasErrors bean="${logsUploadInstance}">
            <div class="errors">
                <g:renderErrors bean="${logsUploadInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form action="logsList" >
                <div class="dialog">
                    <table>
                        <tbody>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="logUploadDate"><g:message code="reports.reportListLogFilterDateA.label" default="Log Upload Date" /></label>
                                </td>
                                <td valign="top" class="value">
                                    <g:datePicker name="fechaInicio" precision="day" value="${logsUploadInstance?.logUploadDate}"  years="[2011, 2012, 2013, 2014]"/>
                                </td>
                            </tr>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="logUploadDate"><g:message code="reports.reportListLogFilterDateB.label" default="Log Upload Date" /></label>
                                </td>
                                <td valign="top" class="value">
                                    <g:datePicker name="fechaFin" precision="day" value="${logsUploadInstance?.logUploadDate}"  years="[2011, 2012, 2013, 2014]"/>
                                </td>
                            </tr>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="template"><g:message code="logsUpload.template.label" default="Template" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadInstance, field: 'template', 'errors')}">
                                    <g:select name="template.id" from="${tfc.logs.Template.list()}" optionKey="id" value="${logsUploadInstance?.template?.id}" noSelection="[0:'- Cualquiera -']" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="theme"><g:message code="logsUpload.theme.label" default="Theme" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadInstance, field: 'theme', 'errors')}">
                                    <g:select name="theme.id" from="${tfc.logs.Theme.list()}" optionKey="id" value="${logsUploadInstance?.theme?.id}" noSelection="[0:'- Cualquiera -']" />
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:submitButton name="find" class="report" value="${message(code: 'report.filter1.label', default: 'Find')}" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
