

<%@ page import="tfc.logs.Template" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'template.label', default: 'Template')}" />
        <title><g:message code="template.create.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="template.list.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="template.create.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${templateInstance}">
            <div class="errors">
                <g:renderErrors bean="${templateInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form action="save" >
              <g:hiddenField name="person.id" value="${templateInstance?.person?.id}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="templateName"><g:message code="template.templateName.label" default="Template Name" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: templateInstance, field: 'templateName', 'errors')}">
                                    <g:textField name="templateName" size="75" maxlength="150" value="${templateInstance?.templateName}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="templateDescription"><g:message code="template.templateDescription.label" default="Template Description" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: templateInstance, field: 'templateDescription', 'errors')}">
                                    <g:textField name="templateDescription" size="75" maxlength="250" value="${templateInstance?.templateDescription}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="templateSeparator"><g:message code="template.templateSeparator.label" default="Template Separator" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: templateInstance, field: 'templateSeparator', 'errors')}">
                                    <g:textField name="templateSeparator" size="2" maxlength="1" value="${templateInstance?.templateSeparator}" />
                                </td>
                            </tr>

                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="template.person.label" default="Person" /></td>

                            <td valign="top" class="value"><g:link class="templates_list" controller="person" action="show" id="${templateInstance?.person?.id}">${templateInstance?.person?.name}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'user.button.detalle.label', default: 'View user details')}"/></g:link></td>

                        </tr>



                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="templateCreationDate"><g:message code="template.templateCreationDate.label" default="Template Creation Date" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: templateInstance, field: 'templateCreationDate', 'errors')}">
                                    <g:datePicker name="templateCreationDate" precision="day" value="${templateInstance?.templateCreationDate}"  />
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
