
<%@ page import="tfc.logs.Template" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'template.label', default: 'Template')}" />
        <title><g:message code="template.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="template.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="template.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="template.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="template.id.label" default="Id" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: templateInstance, field: "id")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="template.templateName.label" default="Template Name" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: templateInstance, field: "templateName")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="template.templateDescription.label" default="Template Description" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: templateInstance, field: "templateDescription")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="template.templateSeparator.label" default="Template Separator" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: templateInstance, field: "templateSeparator")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="template.person.label" default="Person" /></td>
                            
                            <td valign="top" class="value"><g:link class="templates_list" controller="person" action="show" id="${templateInstance?.person?.id}">${templateInstance?.person?.name.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'user.button.detalle.label', default: 'View user details')}"/></g:link></td>

                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="template.templateCreationDate.label" default="Template Creation Date" /></td>
                            
                            <td valign="top" class="value"><g:formatDate date="${templateInstance?.templateCreationDate}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="template.templateFields.label" default="Template Fields" /></td>
                            
                            <td valign="top" style="text-align: left;" class="value">
                                <ul>
                                    <g:render template="/templateFields/listado" collection="${tfc.logs.TemplateFields.findAllByTemplate(templateInstance, [sort:'fieldOrder',order:'asc'])}" var="templateFieldsInstance" />
                                </ul>
                                </br>
                                <g:link class="templates_list" controller="templateFields" action="create" params="['template.id': templateInstance?.id]">${message(code: 'templateFields.add.label', args: [message(code: 'templateFields.label', default: 'TemplateFields')])}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/skin/database_add.png')}" alt="${message(code: 'templateFields.add.label', default: 'Add field template')}"/></g:link>

                            </td>

                        </tr>
                    
                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
                    <g:hiddenField name="id" value="${templateInstance?.id}" />
                    <span class="button"><g:actionSubmit class="edit" action="edit" value="${message(code: 'default.button.edit.label', default: 'Edit')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
