

<%@ page import="tfc.logs.TemplateFields" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'templateFields.label', default: 'TemplateFields')}" />
        <title><g:message code="templateFields.create.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="templateFields.list.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="templateFields.create.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${templateFieldsInstance}">
            <div class="errors">
                <g:renderErrors bean="${templateFieldsInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form action="save" >
                <g:hiddenField name="template.id" value="${templateFieldsInstance?.template?.id}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="fieldOrder"><g:message code="templateFields.fieldOrder.label" default="Field Order" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: templateFieldsInstance, field: 'fieldOrder', 'errors')}">
                                    <g:select name="fieldOrder" from="${valor}" value="${fieldValue(bean: templateFieldsInstance, field: 'fieldOrder')}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="fieldName"><g:message code="templateFields.fieldName.label" default="Field Name" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: templateFieldsInstance, field: 'fieldName', 'errors')}">
                                    <g:textField name="fieldName" size="75" maxlength="150" value="${templateFieldsInstance?.fieldName}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="fieldDescription"><g:message code="templateFields.fieldDescription.label" default="Field Description" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: templateFieldsInstance, field: 'fieldDescription', 'errors')}">
                                    <g:textField name="fieldDescription" size="75" maxlength="250" value="${templateFieldsInstance?.fieldDescription}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="fieldContentType"><g:message code="templateFields.fieldContentType.label" default="Field Content Type" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: templateFieldsInstance, field: 'fieldContentType', 'errors')}">
                                    <g:select name="fieldContentType" from="${templateFieldsInstance.constraints.fieldContentType.inList}" value="${templateFieldsInstance?.fieldContentType}" valueMessagePrefix="templateFields.fieldContentType"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="template"><g:message code="templateFields.template.label" default="Template" /></label>
                                </td>
                              <td valign="top" class="value"><g:link class="templates_list" controller="template" action="show" id="${templateFieldsInstance?.template?.id}">${templateFieldsInstance?.template.templateName?.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'template.button.detalle.label', default: 'View user details')}"/></g:link></td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
