
<%@ page import="tfc.logs.TemplateFields" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'templateFields.label', default: 'TemplateFields')}" />
        <title><g:message code="templateFields.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="templateFields.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="templateFields.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                            <g:sortableColumn property="id" title="${message(code: 'templateFields.id.label', default: 'Id')}" />
                        
                            <g:sortableColumn property="fieldOrder" title="${message(code: 'templateFields.fieldOrder.label', default: 'Field Order')}" />
                        
                            <g:sortableColumn property="fieldName" title="${message(code: 'templateFields.fieldName.label', default: 'Field Name')}" />
                        
                            <g:sortableColumn property="fieldDescription" title="${message(code: 'templateFields.fieldDescription.label', default: 'Field Description')}" />
                        
                            <g:sortableColumn property="fieldContentType" title="${message(code: 'templateFields.fieldContentType.label', default: 'Field Content Type')}" />
                        
                            <th><g:message code="templateFields.template.label" default="Template" /></th>
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${templateFieldsInstanceList}" status="i" var="templateFieldsInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${templateFieldsInstance.id}">${fieldValue(bean: templateFieldsInstance, field: "id")}</g:link></td>
                        
                            <td>${fieldValue(bean: templateFieldsInstance, field: "fieldOrder")}</td>
                        
                            <td>${fieldValue(bean: templateFieldsInstance, field: "fieldName")}</td>
                        
                            <td>${fieldValue(bean: templateFieldsInstance, field: "fieldDescription")}</td>
                        
                            <td>${fieldValue(bean: templateFieldsInstance, field: "fieldContentType")}</td>
                        
                            <td>${fieldValue(bean: templateFieldsInstance, field: "template")}</td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${templateFieldsInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
