
<%@ page import="tfc.secure.UserGroup" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'userGroup.label', default: 'UserGroup')}" />
        <title><g:message code="userGroup.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="userGroup.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="userGroup.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                            <g:sortableColumn property="id" title="${message(code: 'userGroup.id.label', default: 'Id')}" />

                            <g:sortableColumn property="groupName" title="${message(code: 'userGroup.groupName.label', default: 'Group Name')}" />
                        
                            <g:sortableColumn property="groupDescription" title="${message(code: 'userGroup.groupDescription.label', default: 'Group Description')}" />
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${userGroupInstanceList}" status="i" var="userGroupInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${userGroupInstance.id}">${fieldValue(bean: userGroupInstance, field: "id")}</g:link></td>
                        
                            <td><g:link action="show" id="${userGroupInstance.id}">${fieldValue(bean: userGroupInstance, field: "groupName")}</g:link></td>

                            <td><g:link action="show" id="${userGroupInstance.id}">${fieldValue(bean: userGroupInstance, field: "groupDescription")}</g:link></td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${userGroupInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
