package tfc.logs
import java.text.SimpleDateFormat;
import java.util.Calendar;

class ReportsController {

    def templateList = {
		redirect(uri:"${createLinkTo(dir:'../jasper')}" + "?_format=PDF&_name=Listado_plantillas&_file=TemplateList")
    }

    def themeList = {
		redirect(uri:"${createLinkTo(dir:'../jasper')}" + "?_format=PDF&_name=Listado_temas&_file=ThemeList")
    }

    def userList = {
		redirect(uri:"${createLinkTo(dir:'../jasper')}" + "?_format=PDF&_name=Listado_usuarios&_file=UserList")
    }

    def logsList = {

      SimpleDateFormat formateador = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

      Date fechaInicio = params.fechaInicio
      Date fechaFin = params.fechaFin
      println 'fi: ' + formateador.format(params.fechaInicio)
      println 'ff: ' + params.fechaFin

       def criteriaValor = LogsUpload.createCriteria()
        def valor = criteriaValor.get {
            if (params.theme.id!='0'){
              eq("theme.id", Theme.get(params.theme.id).id)
            }
            if (params.template.id!='0'){
              eq("template.id", Template.get(params.template.id).id)
            }
            if (fechaInicio!='' && fechaFin!=''){
              between("logUploadDate", fechaInicio, fechaFin)
            }
            /* if (fechaInicio!=''){
                ge('logUploadDate', fechaInicio)
             }
              if (fechaFin!=''){
                le('logUploadDate', fechaFin)
              } */
            projections {
                count('id')
            }
        }

        println 'valor->' + valor
        if (valor==0){
              flash.message = 'Los criterios de búsqueda no devuelven ningún resultado.'
              redirect(controller:'reports', action: "reportListLogFilter", params:['template.id':  params.template.id, 'theme.id': params.theme.id])
        }else{
            if (params.template.id=='0' && params.theme.id=='0'){
              //Llamada al informe sin filtros
              redirect(uri:"${createLinkTo(dir:'../jasper')}" + "?_format=PDF&F1=${formateador.format(params.fechaInicio)}&F2=${formateador.format(params.fechaFin)}&_name=Listado_Logs&_file=LogsList")
            }else if (params.template.id=='0') {
              //Llamada al informe con filtro de tema
              redirect(uri:"${createLinkTo(dir:'../jasper')}" + "?_format=PDF&F1=${formateador.format(params.fechaInicio)}&F2=${formateador.format(params.fechaFin)}&THEME=${params.theme.id}&_name=Listado_Logs&_file=LogsList3")
            }else if (params.theme.id=='0') {
              //Llamada al informe con filtro de plantilla
              redirect(uri:"${createLinkTo(dir:'../jasper')}" + "?_format=PDF&F1=${formateador.format(params.fechaInicio)}&F2=${formateador.format(params.fechaFin)}&TEMPLATE=${params.template.id}&_name=Listado_Logs&_file=LogsList4")
            }else{

              //Llamada al informe con filtro de plantilla  y tema
              redirect(uri:"${createLinkTo(dir:'../jasper')}" + "?_format=PDF&F1=${formateador.format(params.fechaInicio)}&F2=${formateador.format(params.fechaFin)}&TEMPLATE=${params.template.id}&THEME=${params.theme.id}&_name=Listado_Logs&_file=LogsList2")
            }
        }


    }

    def reportLogFilter = {
      [id:0]
    }

    def reportListLogFilter = {
      [id:0]
    }
}
