package tfc.logs

import tfc.logs.Template
import tfc.logs.Theme
import tfc.secure.Person

class LogsUpload {

    Date logUploadDate
    String logUploadDescription

    String toString(){
      return logUploadDescription
    }

    static belongsTo = [template:Template, theme:Theme, person:Person]
    static hasMany = [logsUploadFiles:LogsUploadFiles]

    static constraints = {
      logUploadDescription(size:1..150, blank:false, nullable:false, unique:true)
    }
}
