package tfc.logs

import tfc.secure.Person

class LogsUploadFiles {

  String logsUploadFilesName
  Date logsUploadFilesCreationDate

    String toString(){
      return logsUploadFilesName + " (" + logsUploadFilesCreationDate + ")"
    }

    static belongsTo = [logsUpload:LogsUpload, person:Person]
    static hasMany = [fieldValue:FieldValue]

    static constraints = {
      logsUploadFilesName(size:1..60, blank:false, nullable:false, unique:true)
    }
}

