

<%@ page import="tfc.logs.FieldValue" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'fieldValue.label', default: 'FieldValue')}" />
        <title><g:message code="fieldValue.edit.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="fieldValue.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="fieldValue.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="fieldValue.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${fieldValueInstance}">
            <div class="errors">
                <g:renderErrors bean="${fieldValueInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <g:hiddenField name="id" value="${fieldValueInstance?.id}" />
                <g:hiddenField name="version" value="${fieldValueInstance?.version}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="logsUploadFiles"><g:message code="fieldValue.logsUploadFiles.label" default="Logs Upload Files" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: fieldValueInstance, field: 'logsUploadFiles', 'errors')}">
                                    <g:select name="logsUploadFiles.id" from="${tfc.logs.LogsUploadFiles.list()}" optionKey="id" value="${fieldValueInstance?.logsUploadFiles?.id}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="templateFields"><g:message code="fieldValue.templateFields.label" default="Template Fields" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: fieldValueInstance, field: 'templateFields', 'errors')}">
                                    <g:select name="templateFields.id" from="${tfc.logs.TemplateFields.list()}" optionKey="id" value="${fieldValueInstance?.templateFields?.id}"  />
                                </td>
                            </tr>

                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="fieldValueValue"><g:message code="fieldValue.fieldValueValue.label" default="Field Value Value" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: fieldValueInstance, field: 'fieldValueValue', 'errors')}">
                                    <g:textField name="fieldValueValue" size="75" value="${fieldValueInstance?.fieldValueValue}" />
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'default.button.update.label', default: 'Update')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
