
<%@ page import="tfc.logs.LogsUpload" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'logsUpload.label', default: 'LogsUpload')}" />
        <title><g:message code="logsUpload.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="logsUpload.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="logsUpload.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="logsUpload.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="logsUpload.id.label" default="Id" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: logsUploadInstance, field: "id")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="logsUpload.logUploadDescription.label" default="Log Upload Description" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: logsUploadInstance, field: "logUploadDescription")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="logsUpload.logUploadDate.label" default="Log Upload Date" /></td>
                            
                            <td valign="top" class="value"><g:formatDate date="${logsUploadInstance?.logUploadDate}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="logsUpload.logsUploadFiles.label" default="Logs Upload Files" /></td>
                            
                            <td valign="top" style="text-align: left;" class="value">
                                <ul>
                                  <g:render template="/logsUploadFiles/listado" collection="${tfc.logs.LogsUploadFiles.findAllByLogsUpload(logsUploadInstance, [sort:'logsUploadFilesCreationDate',order:'asc'])}" var="logsUploadFilesInstance" />
                                </ul>
                                </br>
                                <g:link class="templates_list" controller="logsUploadFiles" action="create" params="['logsUpload.id': logsUploadInstance?.id]">${message(code: 'logsUploadFiles.add.label', args: [message(code: 'logsUploadFiles.label', default: 'LogsUploadFiles')])}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/skin/database_add.png')}" alt="${message(code: 'LogsUploadFiles.add.label', default: 'Add or replace file to log')}"/></g:link>

                            </td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="logsUpload.person.label" default="Person" /></td>
                            
                            <td valign="top" class="value"><g:link class="templates_list" controller="person" action="show" id="${logsUploadInstance?.person?.id}">${logsUploadInstance?.person?.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'user.button.detalle.label', default: 'View user details')}"/></g:link></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="logsUpload.template.label" default="Template" /></td>
                            
                            <td valign="top" class="value"><g:link class="templates_list" controller="template" action="show" id="${logsUploadInstance?.template?.id}">${logsUploadInstance?.template?.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'template.button.detalle.label', default: 'View template details')}"/></g:link></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="logsUpload.theme.label" default="Theme" /></td>
                            
                            <td valign="top" class="value"><g:link class="templates_list" controller="theme" action="show" id="${logsUploadInstance?.theme?.id}">${logsUploadInstance?.theme?.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'theme.button.detalle.label', default: 'View theme details')}"/></g:link></td>
                            
                        </tr>
                    
                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
                    <g:hiddenField name="id" value="${logsUploadInstance?.id}" />
                    <span class="button"><g:actionSubmit class="edit" action="edit" value="${message(code: 'default.button.edit.label', default: 'Edit')}" /></span>
                    <span class="button"><g:actionSubmit class="report" action="report" value="${message(code: 'logsUpload.button.report.label', default: 'Ficha')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
