

<%@ page import="tfc.logs.LogsUploadFiles" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'logsUploadFiles.label', default: 'LogsUploadFiles')}" />
        <title><g:message code="logsUploadFiles.create.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="logsUploadFiles.list.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="logsUploadFiles.create.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:if test="${flash.errors}">
            <div class="errors">${flash.errors}</div>
            </g:if>
            <g:hasErrors bean="${logsUploadFilesInstance}">
            <div class="errors">
                <g:renderErrors bean="${logsUploadFilesInstance}" as="list" />
            </div>
            </g:hasErrors>
                <g:form method="post"  enctype="multipart/form-data">
                <g:hiddenField name="person.id" value="${logsUploadFilesInstance?.person?.id}" />
                <g:hiddenField name="logsUpload.id" value="${logsUploadFilesInstance?.logsUpload?.id}" />
                <div class="dialog">
                    <table>
                        <tbody>

                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="template"><g:message code="logsUploadFiles.logsUpload.label" default="Template" /></label>
                                </td>
                              <td valign="top" class="value"><g:link class="templates_list" controller="logsUpload" action="show" id="${logsUploadFilesInstance?.logsUpload?.id}">${logsUploadFilesInstance?.logsUpload.logUploadDescription}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'logsUpload.button.detalle.label', default: 'View user details')}"/></g:link></td>
                            </tr>

                            <tr class="prop">
                                <td valign="top" class="name"><g:message code="logsUploadFiles.person.label" default="Person" /></td>

                                <td valign="top" class="value"><g:link class="templates_list" controller="person" action="show" id="${logsUploadFilesInstance?.person?.id}">${logsUploadFilesInstance?.person?.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'person.button.detalle.label', default: 'View user details')}"/></g:link></td>

                            </tr>

                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="logsUploadFilesCreationDate"><g:message code="logsUploadFiles.logsUploadFilesCreationDate.label" default="Logs Upload Files Creation Date" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadFilesInstance, field: 'logsUploadFilesCreationDate', 'errors')}">
                                    <g:datePicker name="logsUploadFilesCreationDate" precision="day" value="${logsUploadFilesInstance?.logsUploadFilesCreationDate}"  />
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                    <table>
	                        <tbody>
	                            <tr class="prop">
	                                <td valign="top" class="name">
	                                    <label for="fileUpload"><g:message code="logsUploadFiles.file.label" default="File" /></label>
	                                </td>
	                                <td valign="top" class="value ${hasErrors(bean:fileResourceInstance,field:'upload','errors')}">
	                                    <input type="file" size="75" id="fileUpload" name="fileUpload" />
	                                </td>
	                            </tr>
                                <tr class="prop">
	                                <td colspan="2" align="center" valign="top" >
	                                    <label for="fileUpload"><i>En formato UTF-8</i></label>
	                                </td>
	                            </tr>
	                        </tbody>
	                    </table>
                </div>
                <div class="buttons">
                    <span class="button">
                        <g:actionSubmit class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" action="save" />
                    </span>
                </div>
            </g:form>
        </div>
    </body>
</html>
