

<%@ page import="tfc.logs.LogsUploadFiles" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'logsUploadFiles.label', default: 'LogsUploadFiles')}" />
        <title><g:message code="logsUploadFiles.edit.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="logsUploadFiles.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="logsUploadFiles.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="logsUploadFiles.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${logsUploadFilesInstance}">
            <div class="errors">
                <g:renderErrors bean="${logsUploadFilesInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <g:hiddenField name="id" value="${logsUploadFilesInstance?.id}" />
                <g:hiddenField name="version" value="${logsUploadFilesInstance?.version}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="logsUploadFilesName"><g:message code="logsUploadFiles.logsUploadFilesName.label" default="Logs Upload Files Name" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadFilesInstance, field: 'logsUploadFilesName', 'errors')}">
                                    <g:textField name="logsUploadFilesName" maxlength="60" value="${logsUploadFilesInstance?.logsUploadFilesName}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="logsUpload"><g:message code="logsUploadFiles.logsUpload.label" default="Logs Upload" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadFilesInstance, field: 'logsUpload', 'errors')}">
                                    <g:select name="logsUpload.id" from="${tfc.logs.LogsUpload.list()}" optionKey="id" value="${logsUploadFilesInstance?.logsUpload?.id}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="logsUploadFilesCreationDate"><g:message code="logsUploadFiles.logsUploadFilesCreationDate.label" default="Logs Upload Files Creation Date" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadFilesInstance, field: 'logsUploadFilesCreationDate', 'errors')}">
                                    <g:datePicker name="logsUploadFilesCreationDate" precision="day" value="${logsUploadFilesInstance?.logsUploadFilesCreationDate}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="person"><g:message code="logsUploadFiles.person.label" default="Person" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadFilesInstance, field: 'person', 'errors')}">
                                    <g:select name="person.id" from="${tfc.secure.Person.list()}" optionKey="id" value="${logsUploadFilesInstance?.person?.id}"  />
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'default.button.update.label', default: 'Update')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
