
<%@ page import="tfc.secure.PersonAuthority" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'personAuthority.label', default: 'PersonAuthority')}" />
        <title><g:message code="personAuthority.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="personAuthority.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="personAuthority.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>

                            <th><g:message code="personAuthority.authority.id" default="Id" /></th>

                            <th><g:message code="personAuthority.authority.label" default="Authority" /></th>
                        
                            <th><g:message code="personAuthority.person.label" default="Person" /></th>
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${personAuthorityInstanceList}" status="i" var="personAuthorityInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">

                            <td><g:link action="show" id="${personAuthorityInstance.id}">${fieldValue(bean: personAuthorityInstance, field: "id")}</g:link></td>

                            <td><g:link action="show" id="${personAuthorityInstance.id}">${fieldValue(bean: personAuthorityInstance, field: "authority.authority")}</g:link></td>
                        
                            <td><g:link action="show" id="${personAuthorityInstance.id}">${fieldValue(bean: personAuthorityInstance, field: "person.name")}</g:link></td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${personAuthorityInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
