
<%@ page import="tfc.logs.Template" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'template.label', default: 'Template')}" />
        <title><g:message code="template.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="template.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="template.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                            <g:sortableColumn property="id" title="${message(code: 'template.id.label', default: 'Id')}" />
                        
                            <g:sortableColumn property="templateName" title="${message(code: 'template.templateName.label', default: 'Template Name')}" />
                        
                            <g:sortableColumn property="templateDescription" title="${message(code: 'template.templateDescription.label', default: 'Template Description')}" />
                        
                            <g:sortableColumn property="templateSeparator" title="${message(code: 'template.templateSeparator.label', default: 'Template Separator')}" />
                        
                            <th><g:message code="template.person.label" default="Person" /></th>
                        
                            <g:sortableColumn property="templateCreationDate" title="${message(code: 'template.templateCreationDate.label', default: 'Template Creation Date')}" />
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${templateInstanceList}" status="i" var="templateInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${templateInstance.id}">${fieldValue(bean: templateInstance, field: "id")}</g:link></td>
                        
                            <td><g:link action="show" id="${templateInstance.id}">${fieldValue(bean: templateInstance, field: "templateName")}</g:link></td>
                        
                            <td><g:link action="show" id="${templateInstance.id}">${fieldValue(bean: templateInstance, field: "templateDescription")}</g:link></td>
                        
                            <td><g:link action="show" id="${templateInstance.id}">${fieldValue(bean: templateInstance, field: "templateSeparator")}</g:link></td>
                        
                            <td><g:link action="show" id="${templateInstance.id}">${fieldValue(bean: templateInstance, field: "person.name")}</g:link></td>
                        
                            <td><g:link action="show" id="${templateInstance.id}"><g:formatDate date="${templateInstance.templateCreationDate}" formatName="default.date.format" /></g:link></td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${templateInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
