
<%@ page import="tfc.logs.TemplateFields" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'templateFields.label', default: 'TemplateFields')}" />
        <title><g:message code="templateFields.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="templateFields.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="templateFields.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="templateFields.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="templateFields.id.label" default="Id" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: templateFieldsInstance, field: "id")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="templateFields.fieldOrder.label" default="Field Order" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: templateFieldsInstance, field: "fieldOrder")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="templateFields.fieldName.label" default="Field Name" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: templateFieldsInstance, field: "fieldName")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="templateFields.fieldDescription.label" default="Field Description" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: templateFieldsInstance, field: "fieldDescription")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="templateFields.fieldContentType.label" default="Field Content Type" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: templateFieldsInstance, field: "fieldContentType")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="templateFields.template.label" default="Template" /></td>
                            
                            <td valign="top" class="value"><g:link class="templates_list" controller="template" action="show" id="${templateFieldsInstance?.template?.id}">${templateFieldsInstance?.template.templateName?.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'template.button.detalle.label', default: 'View user details')}"/></g:link></td>
                            
                        </tr>
                    
                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
                    <g:hiddenField name="id" value="${templateFieldsInstance?.id}" />
                    <span class="button"><g:actionSubmit class="edit" action="edit" value="${message(code: 'default.button.edit.label', default: 'Edit')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
