
<%@ page import="tfc.logs.Theme" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'theme.label', default: 'Theme')}" />
        <title><g:message code="theme.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="theme.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="theme.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                            <g:sortableColumn property="id" title="${message(code: 'theme.id.label', default: 'Id')}" />
                        
                            <g:sortableColumn property="themeName" title="${message(code: 'theme.themeName.label', default: 'Theme Name')}" />
                        
                            <g:sortableColumn property="themeDescription" title="${message(code: 'theme.themeDescription.label', default: 'Theme Description')}" />
                        
                            <th><g:message code="theme.person.label" default="Person" /></th>
                        
                            <g:sortableColumn property="themeCreationDate" title="${message(code: 'theme.themeCreationDate.label', default: 'Theme Creation Date')}" />
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${themeInstanceList}" status="i" var="themeInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${themeInstance.id}">${fieldValue(bean: themeInstance, field: "id")}</g:link></td>
                        
                            <td><g:link action="show" id="${themeInstance.id}">${fieldValue(bean: themeInstance, field: "themeName")}</g:link></td>
                        
                            <td><g:link action="show" id="${themeInstance.id}">${fieldValue(bean: themeInstance, field: "themeDescription")}</g:link></td>
                        
                            <td><g:link action="show" id="${themeInstance.id}">${fieldValue(bean: themeInstance, field: "person.name")}</g:link></td>
                        
                            <td><g:link action="show" id="${themeInstance.id}"><g:formatDate date="${themeInstance.themeCreationDate}" /></g:link></td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${themeInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
