-- phpMyAdmin SQL Dump
-- version 2.10.3
-- http://www.phpmyadmin.net
-- 
-- Servidor: localhost
-- Tiempo de generación: 10-01-2012 a las 15:38:26
-- Versión del servidor: 5.0.51
-- Versión de PHP: 5.2.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- 
-- Base de datos: `tfc`
-- 

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `authority`
-- 

CREATE TABLE `authority` (
  `id` bigint(20) NOT NULL auto_increment,
  `version` bigint(20) NOT NULL,
  `authority` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `authority` (`authority`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

-- 
-- Volcar la base de datos para la tabla `authority`
-- 

INSERT INTO `authority` VALUES (1, 0, 'ROLE_ADMINISTRADOR');
INSERT INTO `authority` VALUES (2, 0, 'ROLE_GESTOR');
INSERT INTO `authority` VALUES (3, 0, 'ROLE_OPERADOR');

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `field_value`
-- 

CREATE TABLE `field_value` (
  `id` bigint(20) NOT NULL auto_increment,
  `version` bigint(20) NOT NULL,
  `field_value_value` varchar(255) NOT NULL,
  `logs_upload_files_id` bigint(20) NOT NULL,
  `template_fields_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `FK29F571ECE93418D6` (`logs_upload_files_id`),
  KEY `FK29F571EC6A823B1` (`template_fields_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=19 ;

-- 
-- Volcar la base de datos para la tabla `field_value`
-- 

INSERT INTO `field_value` VALUES (1, 0, 'rmoreno', 2, 1);
INSERT INTO `field_value` VALUES (2, 0, '11-11-2011', 2, 2);
INSERT INTO `field_value` VALUES (3, 0, 'Hola a tod@s;En estructura del arbol Se refiere a como hemos planteado el arbol?', 2, 3);
INSERT INTO `field_value` VALUES (4, 0, 'agomez', 2, 1);
INSERT INTO `field_value` VALUES (5, 0, '11-11-2011', 2, 2);
INSERT INTO `field_value` VALUES (6, 0, 'Hola, Raul:Se refiere a la estructura conceptural del arbol: cuantos niveles, cuantas hojas, etc.. ', 2, 3);
INSERT INTO `field_value` VALUES (7, 0, 'rmoreno', 2, 1);
INSERT INTO `field_value` VALUES (8, 0, '11-11-2011', 2, 2);
INSERT INTO `field_value` VALUES (9, 0, 'Gracias', 2, 3);
INSERT INTO `field_value` VALUES (10, 0, 'agomez', 2, 1);
INSERT INTO `field_value` VALUES (11, 0, '11-11-2011', 2, 2);
INSERT INTO `field_value` VALUES (12, 0, 'Si quieres puedes mirar la solucion de alguna PEC 3 anterior', 2, 3);
INSERT INTO `field_value` VALUES (13, 0, 'rmoreno', 2, 1);
INSERT INTO `field_value` VALUES (14, 0, '11-11-2011', 2, 2);
INSERT INTO `field_value` VALUES (15, 0, 'Gracias antonio, no habia caido en mirar otras PEC anteriores.', 2, 3);
INSERT INTO `field_value` VALUES (16, 0, 'agomez', 2, 1);
INSERT INTO `field_value` VALUES (17, 0, '11-11-2011', 2, 2);
INSERT INTO `field_value` VALUES (18, 0, 'Un saludo', 2, 3);

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `logs_upload`
-- 

CREATE TABLE `logs_upload` (
  `id` bigint(20) NOT NULL auto_increment,
  `version` bigint(20) NOT NULL,
  `log_upload_date` datetime NOT NULL,
  `log_upload_description` varchar(150) NOT NULL,
  `person_id` bigint(20) NOT NULL,
  `template_id` bigint(20) NOT NULL,
  `theme_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `log_upload_description` (`log_upload_description`),
  KEY `FK7D7752916F913914` (`person_id`),
  KEY `FK7D7752911FF63DFC` (`template_id`),
  KEY `FK7D775291989539D8` (`theme_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

-- 
-- Volcar la base de datos para la tabla `logs_upload`
-- 

INSERT INTO `logs_upload` VALUES (1, 0, '2012-01-08 14:28:29', 'Registro log para pruebas', 1, 1, 1);

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `logs_upload_files`
-- 

CREATE TABLE `logs_upload_files` (
  `id` bigint(20) NOT NULL auto_increment,
  `version` bigint(20) NOT NULL,
  `logs_upload_id` bigint(20) NOT NULL,
  `logs_upload_files_creation_date` datetime NOT NULL,
  `logs_upload_files_name` varchar(60) NOT NULL,
  `person_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `logs_upload_files_name` (`logs_upload_files_name`),
  KEY `FKA5847F496F913914` (`person_id`),
  KEY `FKA5847F49D82E881B` (`logs_upload_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

-- 
-- Volcar la base de datos para la tabla `logs_upload_files`
-- 

INSERT INTO `logs_upload_files` VALUES (2, 0, 1, '2012-01-09 00:00:00', 'log_test_TFC_22_ok2.log', 1);

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `logs_upload_files_field_value`
-- 

CREATE TABLE `logs_upload_files_field_value` (
  `logs_upload_files_field_value_id` bigint(20) default NULL,
  `field_value_id` bigint(20) default NULL,
  KEY `FK87FCA9F6A3F572E7` (`field_value_id`),
  KEY `FK87FCA9F667225309` (`logs_upload_files_field_value_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Volcar la base de datos para la tabla `logs_upload_files_field_value`
-- 


-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `person`
-- 

CREATE TABLE `person` (
  `id` bigint(20) NOT NULL auto_increment,
  `version` bigint(20) NOT NULL,
  `account_expired` bit(1) NOT NULL,
  `account_locked` bit(1) NOT NULL,
  `enabled` bit(1) NOT NULL,
  `name` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `password_expired` bit(1) NOT NULL,
  `user_group_id` bigint(20) NOT NULL,
  `username` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`),
  KEY `FKC4E39B5548FD2489` (`user_group_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

-- 
-- Volcar la base de datos para la tabla `person`
-- 

INSERT INTO `person` VALUES (1, 0, '\0', '\0', '', 'Administrador', '8c6976e5b5410415bde908bd4dee15dfb167a9c873fc4bb8a81f6f2ab448a918', '\0', 1, 'admin');
INSERT INTO `person` VALUES (2, 0, '\0', '\0', '', 'Gestor', '0bd66e5612153f99a1a193e638fa154694de99912c0911c8e6a28dc120719e6b', '\0', 1, 'gestor');
INSERT INTO `person` VALUES (3, 0, '\0', '\0', '', 'Operador de sistema', 'e257b110509437aaceddbd342bc63d05e74221d6bac056ed279d752ff8d3afcb', '\0', 1, 'operador');

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `person_authority`
-- 

CREATE TABLE `person_authority` (
  `id` bigint(20) NOT NULL auto_increment,
  `authority_id` bigint(20) NOT NULL,
  `person_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `FK2C8236D9A3B01920` (`authority_id`),
  KEY `FK2C8236D96F913914` (`person_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

-- 
-- Volcar la base de datos para la tabla `person_authority`
-- 

INSERT INTO `person_authority` VALUES (1, 1, 1);
INSERT INTO `person_authority` VALUES (2, 2, 1);
INSERT INTO `person_authority` VALUES (3, 3, 1);
INSERT INTO `person_authority` VALUES (4, 2, 2);
INSERT INTO `person_authority` VALUES (5, 3, 3);

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `requestmap`
-- 

CREATE TABLE `requestmap` (
  `id` bigint(20) NOT NULL auto_increment,
  `version` bigint(20) NOT NULL,
  `config_attribute` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `url` (`url`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=22 ;

-- 
-- Volcar la base de datos para la tabla `requestmap`
-- 

INSERT INTO `requestmap` VALUES (1, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/');
INSERT INTO `requestmap` VALUES (2, 0, 'ROLE_ADMINISTRADOR', '/person/**');
INSERT INTO `requestmap` VALUES (3, 0, 'ROLE_ADMINISTRADOR', '/authority/**');
INSERT INTO `requestmap` VALUES (4, 0, 'ROLE_ADMINISTRADOR', '/personAuthority/**');
INSERT INTO `requestmap` VALUES (5, 0, 'ROLE_ADMINISTRADOR', '/requestmap/**');
INSERT INTO `requestmap` VALUES (6, 0, 'ROLE_ADMINISTRADOR', '/userGroup/**');
INSERT INTO `requestmap` VALUES (7, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR', '/theme/**');
INSERT INTO `requestmap` VALUES (8, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR', '/template/**');
INSERT INTO `requestmap` VALUES (9, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR', '/templateFields/**');
INSERT INTO `requestmap` VALUES (10, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/theme/list/*');
INSERT INTO `requestmap` VALUES (11, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/theme/show/*');
INSERT INTO `requestmap` VALUES (12, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/template/list/*');
INSERT INTO `requestmap` VALUES (13, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/template/show/*');
INSERT INTO `requestmap` VALUES (14, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/templateFields/list/*');
INSERT INTO `requestmap` VALUES (15, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/templateFields/show/*');
INSERT INTO `requestmap` VALUES (16, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/person/show/*');
INSERT INTO `requestmap` VALUES (17, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/logsUpload/**');
INSERT INTO `requestmap` VALUES (18, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/logsUploadFiles/**');
INSERT INTO `requestmap` VALUES (19, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/fieldValue/**');
INSERT INTO `requestmap` VALUES (20, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/graphics/**');
INSERT INTO `requestmap` VALUES (21, 0, 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR', '/reports/**');

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `template`
-- 

CREATE TABLE `template` (
  `id` bigint(20) NOT NULL auto_increment,
  `version` bigint(20) NOT NULL,
  `person_id` bigint(20) NOT NULL,
  `template_creation_date` datetime NOT NULL,
  `template_description` varchar(250) NOT NULL,
  `template_name` varchar(150) NOT NULL,
  `template_separator` varchar(1) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `template_name` (`template_name`),
  KEY `FKB13ACC7A6F913914` (`person_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

-- 
-- Volcar la base de datos para la tabla `template`
-- 

INSERT INTO `template` VALUES (1, 0, 1, '2012-01-08 14:28:29', 'Archivo log del chat', 'Chat TFC', '#');
INSERT INTO `template` VALUES (2, 0, 2, '2012-01-08 14:28:29', 'Archivo log del foro', 'Foro TFC', '#');

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `template_fields`
-- 

CREATE TABLE `template_fields` (
  `id` bigint(20) NOT NULL auto_increment,
  `version` bigint(20) NOT NULL,
  `field_content_type` varchar(6) NOT NULL,
  `field_description` varchar(250) NOT NULL,
  `field_name` varchar(150) NOT NULL,
  `field_order` int(11) NOT NULL,
  `template_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `FKA00C921E1FF63DFC` (`template_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

-- 
-- Volcar la base de datos para la tabla `template_fields`
-- 

INSERT INTO `template_fields` VALUES (1, 0, 'Texto', 'Persona que envía el mensaje', 'Persona', 1, 1);
INSERT INTO `template_fields` VALUES (2, 0, 'Fecha', 'Fecha-hora de mensaje', 'fecha-Hora', 2, 1);
INSERT INTO `template_fields` VALUES (3, 0, 'Texto', 'Mensaje que se envía', 'Mensaje', 3, 1);
INSERT INTO `template_fields` VALUES (4, 0, 'Texto', 'Persona que envía el mensaje', 'Persona', 1, 2);
INSERT INTO `template_fields` VALUES (5, 0, 'Fecha', 'Fecha-hora de mensaje', 'fecha-Hora', 2, 2);
INSERT INTO `template_fields` VALUES (6, 0, 'Texto', 'Mensaje que se envía', 'Mensaje', 3, 2);

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `theme`
-- 

CREATE TABLE `theme` (
  `id` bigint(20) NOT NULL auto_increment,
  `version` bigint(20) NOT NULL,
  `person_id` bigint(20) NOT NULL,
  `theme_creation_date` datetime NOT NULL,
  `theme_description` varchar(250) NOT NULL,
  `theme_name` varchar(150) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `theme_name` (`theme_name`),
  KEY `FK69375C96F913914` (`person_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

-- 
-- Volcar la base de datos para la tabla `theme`
-- 

INSERT INTO `theme` VALUES (1, 0, 1, '2012-01-08 14:28:29', 'Agrupador de logs correspondientes al TFC', 'TFC');
INSERT INTO `theme` VALUES (2, 0, 1, '2012-01-08 14:28:29', 'Agrupador de logs correspondientes a la asignatura TALFII', 'TALFII');

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `user_group`
-- 

CREATE TABLE `user_group` (
  `id` bigint(20) NOT NULL auto_increment,
  `version` bigint(20) NOT NULL,
  `group_description` varchar(255) NOT NULL,
  `group_name` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

-- 
-- Volcar la base de datos para la tabla `user_group`
-- 

INSERT INTO `user_group` VALUES (1, 0, 'Grupo destinado a la realización de pruebas', 'Grupo de ejemplo');
